package com.qryord.common.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @program: biandan
 * @description: 删除标志
 * @author: dong
 * @create: 2020-01-06 22:10
 */
@AllArgsConstructor
@Getter
public enum EDelete {
    TRUE("2", "是"),
    FALSE("0", "否");

    private String val;
    private String desc;

    /** 解析 */
    public static EDelete parseByVal(String val) {
        for(EDelete type :EDelete.values()) {
            if(type.getVal().equalsIgnoreCase(val)) {
                return type;
            }
        }
        return EDelete.FALSE;
    }
}
